﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace RadGridView_SL4_AR_199
{
    public class MyViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private ObservableCollection<Club> clubs;
        private ObservableCollection<Player> players;
        private object selectedItem;

        public ObservableCollection<Club> Clubs
        {
            get
            {
                if (this.clubs == null)
                {
                    this.clubs = Club.GetClubs();
                }

                return this.clubs;
            }
        }

        public ObservableCollection<Player> Players
        {
            get
            {
                players = new ObservableCollection<Player>();
                players.Add(new Player("Pepe Reina", 25, Position.GK, "Spain"));
                players.Add(new Player("Jamie Carragher", 23, Position.DF, "England"));
                players.Add(new Player("Steven Gerrard", 8, Position.MF, "England"));
                players.Add(new Player("Fernando Torres", 9, Position.FW, "Spain"));
                players.Add(new Player("Edwin van der Sar", 1, Position.GK, "Netherlands"));
                players.Add(new Player("Rio Ferdinand", 5, Position.DF, "England"));
                players.Add(new Player("Ryan Giggs", 11, Position.MF, "Wales"));
                players.Add(new Player("Wayne Rooney", 10, Position.FW, "England"));
                players.Add(new Player("Petr Čech", 1, Position.GK, "Czech Republic"));
                players.Add(new Player("John Terry", 26, Position.DF, "England"));
                players.Add(new Player("Frank Lampard", 8, Position.MF, "England"));
                players.Add(new Player("Nicolas Anelka", 39, Position.FW, "France"));
                players.Add(new Player("Manuel Almunia", 1, Position.GK, "Spain"));
                players.Add(new Player("Gaël Clichy", 22, Position.DF, "France"));
                players.Add(new Player("Cesc Fàbregas", 4, Position.MF, "Spain"));
                players.Add(new Player("Robin van Persie", 11, Position.FW, "Netherlands"));
                return this.players;
            }
        }

        public object SelectedItem
        {
            get { return this.selectedItem; }
            set
            {
                if (value != this.selectedItem)
                {
                    this.selectedItem = value;
                    this.OnPropertyChanged("SelectedItem");
                }
            }
        }

        protected virtual void OnPropertyChanged(PropertyChangedEventArgs args)
        {
            PropertyChangedEventHandler handler = this.PropertyChanged;
            if (handler != null)
            {
                handler(this, args);
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
        }
    }
}
